"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const exists_1 = __importDefault(require("../exists"));
const clone_1 = __importDefault(require("../clone"));
const shelljs_1 = require("shelljs");
const path_1 = require("path");
describe('utils/clone', () => {
    const destination = (0, path_1.join)(__dirname, 'output', 'clone', 'example');
    const options = {
        temp: (0, path_1.join)(__dirname, 'output', 'clone', '.gitcopy'),
    };
    beforeEach(async () => {
        (0, shelljs_1.rm)('-rf', (0, path_1.join)(__dirname, 'output', 'clone', '.gitcopy'));
    });
    afterEach(async () => {
        (0, shelljs_1.rm)('-rf', destination);
    });
    afterAll(async () => {
        (0, shelljs_1.rm)('-rf', (0, path_1.join)(__dirname, 'output', 'clone', '.gitcopy'));
    });
    it('should clone the repository', async () => {
        const result = await (0, clone_1.default)('lukeed/gittar', options);
        expect(await (0, exists_1.default)(result)).toBe(true);
    });
});
